Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface CompositeFeatureLabelModelFacet

All Superinterfaces:
  CompositeFeatureModelFacet, EObject, LabelModelFacet, ModelFacet, Notifier

All Known Implementing Classes:
  CompositeFeatureLabelModelFacetImpl

public interface CompositeFeatureLabelModelFacet
extends CompositeFeatureModelFacet, LabelModelFacet

A representation of the model object 'Composite Feature Label Model Facet'. Model facet of a label based on a number of EStructuralFeatures

The following features are supported:

- `View Pattern`
- `Edit Pattern`

See Also:
  `GMFGenPackage.getCompositeFeatureLabelModelFacet()`
** Generated **
Model:

Method Summary
`java.lang.String` `getEditPattern()` Returns the value of the 'Edit Pattern' attribute
`java.lang.String` `getViewPattern()` Returns the value of the 'View Pattern' attribute
`void` `setEditPattern(java.lang.String value)` Sets the value of the '`Edit Pattern`' attribute
`void` `setViewPattern(java.lang.String value)` Sets the value of the '`View Pattern`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.CompositeFeatureModelFacet
`getMetaFeatures`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getViewPattern

    public java.lang.String getViewPattern()

  Returns the value of the 'View Pattern' attribute. Pattern for java.text.MessageFormat to produce label on diagram

  Returns:
    the value of the 'View Pattern' attribute.
  See Also:
    `CompositeFeatureLabelModelFacet.setViewPattern(String)`, `GMFGenPackage.getCompositeFeatureLabelModelFacet_ViewPattern()`
  ** Generated **
  Model:
    required="true"

### setViewPattern

    public void setViewPattern(java.lang.String value)

  Sets the value of the '`View Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'View Pattern' attribute.
  See Also:
    `CompositeFeatureLabelModelFacet.getViewPattern()`
  ** Generated **

### getEditPattern

    public java.lang.String getEditPattern()

  Returns the value of the 'Edit Pattern' attribute. Pattern for java.text.MessageFormat to produce text for inplace editor; if not specified then viewPattern should be used

  Returns:
    the value of the 'Edit Pattern' attribute.
  See Also:
    `CompositeFeatureLabelModelFacet.setEditPattern(String)`, `GMFGenPackage.getCompositeFeatureLabelModelFacet_EditPattern()`
  ** Generated **
  Model:

### setEditPattern

    public void setEditPattern(java.lang.String value)

  Sets the value of the '`Edit Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Pattern' attribute.
  See Also:
    `CompositeFeatureLabelModelFacet.getEditPattern()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.